Choosing the version of the OS

You can install and work with multiple versions of QNX Neutrino. Whether you're using the command line or the IDE, you can choose which version of the OS to build programs for.

QNX Neutrino uses these environment variables to locate files on the host machine:

The location of the configuration files for the installed versions of QNX Neutrino.
The location of host-specific files.
The location of target backends on the host machine.

For QNX SDP 6.5 or earlier, a system profile sets up these environment variables; for QNX SDP 6.6, you need to run base_directory\qnx660-env.bat on Windows, or source base_directory/ on Linux, where base_directory is where you installed QNX SDP.

Note: You need to set up the 6.6 environment in every command-prompt window that you want to run the tools in.

For the command-line tools, how you choose which version of the OS to build programs for depends on how you installed QNX SDP 6.6:

Here's what qconfig does:

To start the IDE:

In the IDE, you can change the build target (see "Version coexistence" in the Concepts chapter of the IDE User's Guide), but only if you used the same QNX_CONFIGURATION directory for 6.5 and 6.6.